=== debian/changelog ===
mapcache (1.8.0-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.
  * Update branch in gbp.conf & Vcs-Git URL.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 29 Jul 2019 19:21:35 +0200

mapcache (1.8.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Change license shortname from MIT to Expat
    - Update copyright years for Regents of the University of Minnesota
    - Add license & copyright for cJSON sources
  * Drop spelling-errors.patch, applied upstream. Refresh remaining patch.
  * Add manpage for mapcache_detail.
  * Update docs for README rename.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Jul 2019 05:59:55 +0200

mapcache (1.6.1-4) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Update watch file to limit matches to archive path.
  * Add Build-Depends-Package field to symbols file.
  * Remove package name from lintian overrides.
  * Append -DNDEBUG to CFLAGS to remove buildpath from binaries.
  * Add lintian override for file-references-package-build-path.
  * Add patch to fix spelling errors.
  * Update gbp.conf to use --source-only-changes by default.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jul 2019 17:28:12 +0200
