=== debian/control ===
Source: mapcache
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
           Alan Boudreault <aboudreault@mapgears.com>,
           Bas Couwenberg <sebastic@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1),
               dh-apache2,
               apache2-dev,
               chrpath,
               cmake,
               libcairo2-dev,
               libcurl4-gnutls-dev | libcurl-ssl-dev,
               libfcgi-dev,
               libfreetype6-dev,
               libfribidi-dev,
               libgd-dev,
               libgdal-dev (>= 1.10.0-0~),
               libgeos-dev (>= 3.3.1-1~),
               libharfbuzz-dev,
               libjpeg-dev,
               libmemcached-dev,
               libpcre3-dev,
               libpixman-1-dev,
               libpng-dev,
               librsvg2-dev,
               libsqlite3-dev,
               libtiff-dev,
               zlib1g-dev,
               pkg-config,
               pkg-kde-tools,
               docbook2x,
               docbook-xsl,
               docbook-xml,
               xsltproc
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapcache
Vcs-Git: https://salsa.debian.org/debian-gis-team/mapcache.git -b buster-backports
Homepage: http://www.mapserver.org/mapcache/

Package: libmapcache1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: tile caching server - shared library
 This package contains the shared library.
 .
 MapCache is a server that implements tile caching to speed up access to WMS
 layers. The primary objectives are to be fast and easily deployable, while
 offering the essential features (and more!) expected from a tile caching
 solution.

Package: libmapcache1-dev
Architecture: any
Section: libdevel
Depends: libmapcache1 (= ${binary:Version}),
         ${misc:Depends}
Suggests: mapcache-cgi,
          mapcache-tools,
          libapache2-mod-mapcache
Breaks: libmapcache-dev (<< 1.2.0-1~),
        libmapcache0-dev (<< 1.2.0-1~)
Replaces: libmapcache-dev (<< 1.2.0-1~),
          libmapcache0-dev (<< 1.2.0-1~)
Description: tile caching server - shared library development files
 This package contains the development files for the shared library.
 .
 MapCache is a server that implements tile caching to speed up access to WMS
 layers. The primary objectives are to be fast and easily deployable, while
 offering the essential features (and more!) expected from a tile caching
 solution.

Package: mapcache-cgi
Architecture: any
Section: web
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tile caching server - CGI binary
 This package contains the mapcache FastCGI program, as alternative to the
 Apache module available in libapache2-mod-mapcache.
 .
 MapCache is a server that implements tile caching to speed up access to WMS
 layers. The primary objectives are to be fast and easily deployable, while
 offering the essential features (and more!) expected from a tile caching
 solution.

Package: mapcache-tools
Architecture: any
Section: misc
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tile caching server - tools
 This package provides command-line utilities for MapCache.
 .
 MapCache is a server that implements tile caching to speed up access to WMS
 layers. The primary objectives are to be fast and easily deployable, while
 offering the essential features (and more!) expected from a tile caching
 solution.

Package: libapache2-mod-mapcache
Architecture: any
Section: httpd
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tile caching server - Apache module
 This is the MapCache module for the Apache web server implementing OGC web
 services. An alternative mapcache FastCGI program is available in
 mapcache-cgi.
 .
 MapCache is a server that implements tile caching to speed up access to WMS
 layers. The primary objectives are to be fast and easily deployable, while
 offering the essential features (and more!) expected from a tile caching
 solution.
