## mapcache 1.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 
 set (MAPCACHE_VERSION_MAJOR 1)
-set (MAPCACHE_VERSION_MINOR 8)
+set (MAPCACHE_VERSION_MINOR 10)
 set (MAPCACHE_VERSION_REVISION 0)
 
 if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
@@ -86,7 +86,7 @@
 #options suported by the cmake builder
 option(WITH_PIXMAN "Use pixman for SSE optimized image manipulations" ON)
 option(WITH_SQLITE "Use sqlite as a cache/dimension backend" ON)
-option(WITH_POSTGRESQL "Use sqlite as a dimension backend" OFF)
+option(WITH_POSTGRESQL "Use PostgreSQL as a dimension backend" OFF)
 option(WITH_BERKELEY_DB "Use Berkeley DB as a cache backend" OFF)
 option(WITH_MEMCACHE "Use memcache as a cache backend (requires recent apr-util)" OFF)
 option(WITH_TIFF "Use TIFFs as a cache backend" OFF)
