=== debian/changelog ===
mapcache (1.10.0-2) unstable; urgency=medium

  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Bump watch file version to 4.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Nov 2020 19:14:06 +0100

mapcache (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Drop unused override for file-references-package-build-path.
  * Update symbols for 1.10.0.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Feb 2020 16:02:26 +0100
