=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                dpkg-dev (>= 1.16.1.1),
                dh-apache2,
                apache2-dev,
@@ -35,9 +35,9 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapcache
-Vcs-Git: https://salsa.debian.org/debian-gis-team/mapcache.git -b buster-backports
+Vcs-Git: https://salsa.debian.org/debian-gis-team/mapcache.git
 Homepage: http://www.mapserver.org/mapcache/
 
 Package: libmapcache1
