## mapcache 1.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 
 set (MAPCACHE_VERSION_MAJOR 1)
-set (MAPCACHE_VERSION_MINOR 10)
+set (MAPCACHE_VERSION_MINOR 12)
 set (MAPCACHE_VERSION_REVISION 0)
 
 if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
@@ -59,10 +59,12 @@
 check_function_exists ("timegm" HAVE_TIMEGM)
 check_function_exists ("strptime" HAVE_STRPTIME)
 
+set(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
 set(CMAKE_SKIP_BUILD_RPATH FALSE)
 if(APPLE)
   set(CMAKE_MACOSX_RPATH ON)
 endif()
+  
 set(CMAKE_LINK_INTERFACE_LIBRARY "")
 
 file(GLOB mapcache_SOURCES lib/*.c )
@@ -89,6 +91,7 @@
 option(WITH_POSTGRESQL "Use PostgreSQL as a dimension backend" OFF)
 option(WITH_BERKELEY_DB "Use Berkeley DB as a cache backend" OFF)
 option(WITH_MEMCACHE "Use memcache as a cache backend (requires recent apr-util)" OFF)
+option(WITH_REDIS "Use redis as a cache backend (requires hiredis library)" OFF)
 option(WITH_TIFF "Use TIFFs as a cache backend" OFF)
 option(WITH_TIFF_WRITE_SUPPORT "Enable (experimental) support for writable TIFF cache backends" OFF)
 option(WITH_GEOTIFF "Allow GeoTIFF metadata creation for TIFF cache backends" OFF)
@@ -111,6 +114,7 @@
   include_directories(${JPEG_INCLUDE_DIR})
   target_link_libraries(mapcache ${JPEG_LIBRARY})
 else(JPEG_FOUND)
+  report_mandatory_not_found(JPEG)
 endif(JPEG_FOUND)
    
 find_package(CURL)
@@ -155,6 +159,17 @@
   
 endif(WITH_MEMCACHE)
 
+if(WITH_REDIS)
+  find_package(Redis)
+  if(HIREDIS_FOUND)
+    include_directories(${HIREDIS_INCLUDE_DIR})
+    target_link_libraries(mapcache ${HIREDIS_LIBRARIES})
+    set (USE_REDIS 1)
+  else(HIREDIS_FOUND)
+    report_optional_not_found(Redis)
+  endif(HIREDIS_FOUND)
+endif(WITH_REDIS)
+
 if(WITH_PIXMAN)
   find_package(Pixman)
   if(PIXMAN_FOUND)
@@ -321,6 +336,7 @@
 status_optional_component("POSTGRESQL" "${USE_POSTGRESQL}" "${PostgreSQL_LIBRARY}")
 status_optional_component("Berkeley DB" "${USE_BDB}" "${BERKELEYDB_LIBRARY}")
 status_optional_component("Memcache" "${USE_MEMCACHE}" "${APU_LIBRARY}")
+status_optional_component("Redis" "${USE_REDIS}" "${HIREDIS_LIBRARIES} ${HIREDIS_INCLUDE_DIR}")
 status_optional_component("TIFF" "${USE_TIFF}" "${TIFF_LIBRARY}")
 status_optional_component("GeoTIFF" "${USE_GEOTIFF}" "${GEOTIFF_LIBRARY}")
 status_optional_component("Experimental TIFF write support" "${USE_TIFF_WRITE}" "${TIFF_LIBRARY}")
@@ -338,6 +354,3 @@
 add_subdirectory(apache)
 add_subdirectory(nginx)
 
-if (WITH_MAPCACHE_DETAIL)
-  add_subdirectory(contrib/mapcache_detail)
-endif (WITH_MAPCACHE_DETAIL)
