=== debian/changelog ===
mapcache (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 23 Feb 2022 05:50:31 +0100

mapcache (1.12.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Bump Standards-Version to 4.6.0, no changes.
  * Update upstream metadata.
  * Update watch file for GitHub URL changes.
  * Apply patch by Chris Lamb to make the build reproducible.
    (closes: #992039)
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update lintian overrides.
  * Drop --autodest from dh_install.
  * Enable redis support.
  * Update copyright file.
  * Refresh patches.
  * Update symbols for 1.12.0~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 12 Feb 2022 08:39:59 +0100
