=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.16.1.1),
                dh-apache2,
                apache2-dev,
@@ -20,6 +20,7 @@
                libgdal-dev (>= 1.10.0-0~),
                libgeos-dev (>= 3.3.1-1~),
                libharfbuzz-dev,
+               libhiredis-dev,
                libjpeg-dev,
                libmemcached-dev,
                libpcre3-dev,
@@ -35,7 +36,7 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapcache
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapcache.git
 Homepage: http://www.mapserver.org/mapcache/
