=== debian/rules ===
--- 
+++ 
@@ -34,6 +34,8 @@
 CMAKE_OPTS:= \
 		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DCMAKE_VERBOSE_MAKEFILE=1 \
+		-DCMAKE_SKIP_RPATH=ON \
+		-DWITH_REDIS=1 \
 		-DWITH_PIXMAN=1 \
 		-DWITH_SQLITE=1 \
 		-DWITH_BERKELEY_DB=0 \
@@ -101,8 +103,5 @@
 	install -d $(CURDIR)/debian/tmp/etc/apache2/mods-available
 	install -m 644 $(CURDIR)/debian/mapcache.load $(CURDIR)/debian/tmp/etc/apache2/mods-available
 
-override_dh_install:
-	dh_install --autodest --list-missing
-
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)
