=== debian/changelog ===
mapcache (1.12.1-1build2) lunar; urgency=medium

  * No-change rebuild against libgdal32

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 15 Dec 2022 19:35:13 +0000

mapcache (1.12.1-1build1) kinetic; urgency=medium

  * No-change rebuild against libgdal31

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 13 Jun 2022 15:04:43 +0000

mapcache (1.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 24 Mar 2022 16:30:40 +0100
