## mapcache 1.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,8 @@
 
 
 set (MAPCACHE_VERSION_MAJOR 1)
-set (MAPCACHE_VERSION_MINOR 12)
-set (MAPCACHE_VERSION_REVISION 1)
+set (MAPCACHE_VERSION_MINOR 14)
+set (MAPCACHE_VERSION_REVISION 0)
 
 if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
    set(CMAKE_INSTALL_LIBDIR lib)
@@ -90,6 +90,7 @@
 option(WITH_SQLITE "Use sqlite as a cache/dimension backend" ON)
 option(WITH_POSTGRESQL "Use PostgreSQL as a dimension backend" OFF)
 option(WITH_BERKELEY_DB "Use Berkeley DB as a cache backend" OFF)
+option(WITH_LMDB "Use LMDB as a cache backend" OFF)
 option(WITH_MEMCACHE "Use memcache as a cache backend (requires recent apr-util)" OFF)
 option(WITH_REDIS "Use redis as a cache backend (requires hiredis library)" OFF)
 option(WITH_TIFF "Use TIFFs as a cache backend" OFF)
@@ -240,6 +241,20 @@
   endif(BERKELEYDB_FOUND)
 endif (WITH_BERKELEY_DB)
 
+if(WITH_LMDB)
+  if(NOT LMDB_FIND_VERSION)
+    set(LMDB_FIND_VERSION "0.9.10")
+  endif(NOT LMDB_FIND_VERSION)
+  find_package(LMDB)
+  if(LMDB_FOUND)
+    include_directories(${LMDB_INCLUDE_DIR})
+    target_link_libraries(mapcache ${LMDB_LIBRARY})
+    set(USE_LMDB 1)
+  else(LMDB_FOUND)
+    report_optional_not_found(LMDB)
+  endif(LMDB_FOUND)
+endif(WITH_LMDB)
+
 if(WITH_TIFF)
   find_package(TIFF)
   if(TIFF_FOUND)
@@ -335,22 +350,10 @@
 status_optional_component("SQLITE" "${USE_SQLITE}" "${SQLITE_LIBRARY}")
 status_optional_component("POSTGRESQL" "${USE_POSTGRESQL}" "${PostgreSQL_LIBRARY}")
 status_optional_component("Berkeley DB" "${USE_BDB}" "${BERKELEYDB_LIBRARY}")
+status_optional_component("LMDB" "${USE_LMDB}" "${LMDB_LIBRARY}")
 status_optional_component("Memcache" "${USE_MEMCACHE}" "${APU_LIBRARY}")
 status_optional_component("Redis" "${USE_REDIS}" "${HIREDIS_LIBRARIES} ${HIREDIS_INCLUDE_DIR}")
 status_optional_component("TIFF" "${USE_TIFF}" "${TIFF_LIBRARY}")
 status_optional_component("GeoTIFF" "${USE_GEOTIFF}" "${GEOTIFF_LIBRARY}")
 status_optional_component("Experimental TIFF write support" "${USE_TIFF_WRITE}" "${TIFF_LIBRARY}")
 status_optional_component("PCRE" "${USE_PCRE}" "${PCRE_LIBRARY}")
-status_optional_component("Experimental mapserver support" "${USE_MAPSERVER}" "${MAPSERVER_LIBRARY}")
-status_optional_component("RIAK" "${USE_RIAK}" "${RIAK_LIBRARY}")
-status_optional_component("GDAL" "${USE_GDAL}" "${GDAL_LIBRARY}")
-message(STATUS " * Optional features")
-status_optional_feature("MAPCACHE_DETAIL" "${WITH_MAPCACHE_DETAIL}")
-
-INSTALL(TARGETS mapcache DESTINATION ${CMAKE_INSTALL_LIBDIR})
-
-add_subdirectory(util)
-add_subdirectory(cgi)
-add_subdirectory(apache)
-add_subdirectory(nginx)
-
