=== debian/changelog ===
mapcache (1.14.0-2) unstable; urgency=medium

  * Bump debhelper compat to 13.
  * Disable PCRE support, pcre3 package will be removed.
    (closes: #1000128)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 30 Jun 2023 06:34:42 +0200

mapcache (1.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Add Rules-Requires-Root to control file.
  * Update copyright file.
  * Update docs for renamed README.
  * Enable LMDB support.
  * Sort CMake options.
  * Drop obsolete Breaks/Replaces.
  * Refresh patches.
  * Update symbols for amd64.
  * Build depend on libfreetype-dev instead of libfreetype6-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jan 2023 08:42:55 +0100
