=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: mapcache
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Alan Boudreault <aboudreault@mapgears.com>,
            Bas Couwenberg <sebastic@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dpkg-dev (>= 1.16.1.1),
                dh-apache2,
                apache2-dev,
@@ -15,7 +14,7 @@
                libcairo2-dev,
                libcurl4-gnutls-dev | libcurl-ssl-dev,
                libfcgi-dev,
-               libfreetype6-dev,
+               libfreetype-dev,
                libfribidi-dev,
                libgd-dev,
                libgdal-dev (>= 1.10.0-0~),
@@ -23,8 +22,8 @@
                libharfbuzz-dev,
                libhiredis-dev,
                libjpeg-dev,
+               liblmdb-dev,
                libmemcached-dev,
-               libpcre3-dev,
                libpixman-1-dev,
                libpng-dev,
                librsvg2-dev,
@@ -37,10 +36,11 @@
                docbook-xsl,
                docbook-xml,
                xsltproc
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/mapcache
 Vcs-Git: https://salsa.debian.org/debian-gis-team/mapcache.git
 Homepage: http://www.mapserver.org/mapcache/
+Rules-Requires-Root: no
 
 Package: libmapcache1
 Architecture: any
@@ -64,10 +64,6 @@
 Suggests: mapcache-cgi,
           mapcache-tools,
           libapache2-mod-mapcache
-Breaks: libmapcache-dev (<< 1.2.0-1~),
-        libmapcache0-dev (<< 1.2.0-1~)
-Replaces: libmapcache-dev (<< 1.2.0-1~),
-          libmapcache0-dev (<< 1.2.0-1~)
 Description: tile caching server - shared library development files
  This package contains the development files for the shared library.
  .
