=== debian/rules ===
--- 
+++ 
@@ -33,23 +33,24 @@
 
 CMAKE_OPTS:= \
 		-DCMAKE_INSTALL_PREFIX=/usr \
+		-DCMAKE_SKIP_RPATH=ON \
 		-DCMAKE_VERBOSE_MAKEFILE=1 \
-		-DCMAKE_SKIP_RPATH=ON \
-		-DWITH_REDIS=1 \
-		-DWITH_PIXMAN=1 \
-		-DWITH_SQLITE=1 \
+		-DWITH_APACHE=1 \
 		-DWITH_BERKELEY_DB=0 \
-		-DWITH_TIFF=1 \
-		-DWITH_TIFF_WRITE_SUPPORT=0 \
-		-DWITH_GEOTIFF=0 \
-		-DWITH_MAPSERVER=0 \
-		-DWITH_PCRE=1 \
-		-DWITH_APACHE=1 \
-		-DWITH_VERSION_STRING=1 \
 		-DWITH_CGI=1 \
 		-DWITH_FCGI=1 \
 		-DWITH_GEOS=1 \
-		-DWITH_OGR=1
+		-DWITH_GEOTIFF=0 \
+		-DWITH_LMDB=1 \
+		-DWITH_MAPSERVER=0 \
+		-DWITH_OGR=1 \
+		-DWITH_PCRE=0 \
+		-DWITH_PIXMAN=1 \
+		-DWITH_REDIS=1 \
+		-DWITH_SQLITE=1 \
+		-DWITH_TIFF=1 \
+		-DWITH_TIFF_WRITE_SUPPORT=0 \
+		-DWITH_VERSION_STRING=1
 
 # Disable memcache support on architectures where it's not supported
 ifneq (,$(filter $(DEB_BUILD_ARCH),armel armhf i386 mips mipsel powerpc hppa hurd-i386))
